actions :create, :update, :delete
default_action :create

attribute :host_name, :kind_of => String, :name_attribute => true
attribute :service_description, :required => true, :kind_of => String
attribute :approve, :kind_of => [TrueClass, FalseClass]
attribute :is_volatile, :kind_of => [TrueClass, FalseClass]
attribute :check_command, :kind_of => String
attribute :check_command_param, :kind_of => Hash
attribute :initial_state, :kind_of => String
attribute :max_check_attempts, :kind_of => Integer
attribute :check_interval, :kind_of => Integer
attribute :retry_interval, :kind_of => Integer
attribute :active_checks_enabled, :kind_of => [TrueClass, FalseClass]
attribute :passive_checks_enabled, :kind_of => [TrueClass, FalseClass]
attribute :check_period, :kind_of => String
attribute :obsess_over_service, :kind_of => [TrueClass, FalseClass]
attribute :check_freshness, :kind_of => [TrueClass, FalseClass]
attribute :freshness_threshold, :kind_of => Integer
attribute :event_handler_enabled, :kind_of => [TrueClass, FalseClass]
attribute :event_handler, :kind_of => String
attribute :low_flap_threshold, :kind_of => [Float, Integer]
attribute :high_flap_threshold, :kind_of => [Float, Integer]
attribute :flap_detection_enabled, :kind_of => [TrueClass, FalseClass]
attribute :flap_detection_options, :kind_of => Hash
attribute :process_perf_data, :kind_of => [TrueClass, FalseClass]
attribute :retain_status_information, :kind_of => [TrueClass, FalseClass]
attribute :retain_nonstatus_information, :kind_of => [TrueClass, FalseClass]
attribute :contact_groups, :kind_of => Array
attribute :notification_interval, :kind_of => Integer
attribute :first_notification_delay, :kind_of => Integer
attribute :notification_period, :kind_of => String
attribute :notification_options, :kind_of => Hash
attribute :notifications_enabled, :kind_of => [TrueClass, FalseClass]
attribute :stalking_options, :kind_of => Hash

